POST API/Vehicle/GetVehicleInfo
Request Information
URI Parameters
None.
Body Parameters
VehicleInfoM| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| vehicle_id | globally unique identifier |
None. |
|
| regNumber | string |
None. |
|
| mileage | integer |
None. |
|
| disabled | boolean |
None. |
|
| createDate | date |
None. |
|
| updateDate | date |
None. |
|
| updatePerson_id | globally unique identifier |
None. |
|
| disabledDate | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "63389110-e9b8-4bd4-b6c0-ab3203926f00",
"vehicle_id": "a7cdeaaf-32c3-447f-8de4-df551c8633c7",
"regNumber": "sample string 2",
"mileage": 1,
"disabled": true,
"createDate": "2026-03-18T05:01:16.0861502+05:00",
"updateDate": "2026-03-18T05:01:16.0861502+05:00",
"updatePerson_id": "7709dd90-e986-4884-a1ea-d51f258b8cb6",
"disabledDate": "2026-03-18T05:01:16.0861502+05:00"
}
application/xml, text/xml
Sample:
<VehicleInfoM xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Basic"> <createDate>2026-03-18T05:01:16.0861502+05:00</createDate> <disabled>true</disabled> <disabledDate>2026-03-18T05:01:16.0861502+05:00</disabledDate> <id>63389110-e9b8-4bd4-b6c0-ab3203926f00</id> <mileage>1</mileage> <regNumber>sample string 2</regNumber> <updateDate>2026-03-18T05:01:16.0861502+05:00</updateDate> <updatePerson_id>7709dd90-e986-4884-a1ea-d51f258b8cb6</updatePerson_id> <vehicle_id>a7cdeaaf-32c3-447f-8de4-df551c8633c7</vehicle_id> </VehicleInfoM>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>